     //////////////////////////////////////////////
    // THE COMPARATIVE CODE-UNDERSTANDING SYSTEM //
   // Written by Andrew Broad                   ///
  //                                           ////
 // ComparisonEngine.java (2001:11:29 17:46)  ////
/////////////////////////////////////////////////
// Methods of ComparisonEngine:              ///
// - compareModels                           //
//////////////////////////////////////////////

import java.util.*;
import java.io.*;

import jex.*;

/*****************************************************************************
** The class `ComparisonEngine' contains the procedure that drives the 
** comparison of two EXPRESS models.
** This class is not meant to be instantiated.
*****************************************************************************/

public class ComparisonEngine {
	public static PrettyPrint _prettyPrint;

	/********************************************************************/
	// static ComparisonEngine.compareModels : (Frame x Frame) -> void
	/*********************************************************************
	** Compares two EXPRESS models, establishing correspondences between
	** their schemata.
	** @param model1 The first EXPRESS model frame.
	** @param model2 The second EXPRESS model frame.
	*********************************************************************/

	public static void compareModels (Frame model1, Frame model2)
	{
		if (CCUS._extractHLCs) {
			ExtractionEngine.CCUSinit
			  (ExpressCUS.getExtractionCaseLibrary(),
			   ExpressCUS.getNavigationCaseLibrary(),
			   ExpressCUS.getPrettyPrintCaseLibrary());
		}
		_prettyPrint= new PrettyPrint
		              (ExpressCUS.getPrettyPrintCaseLibrary());

		CCUS_FMA.matchFrames(model1, model2,
		                     CorrespondenceHeuristics.CORRESPONDENCE,
		                     null, null);
	}
}
